Retorna detalhes de uma tarefa
curl --request GET \
--url https://backend-pied-prod.piedadmin.com.br/api/v2/task-plans/{taskPlanId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://backend-pied-prod.piedadmin.com.br/api/v2/task-plans/{taskPlanId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://backend-pied-prod.piedadmin.com.br/api/v2/task-plans/{taskPlanId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://backend-pied-prod.piedadmin.com.br/api/v2/task-plans/{taskPlanId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://backend-pied-prod.piedadmin.com.br/api/v2/task-plans/{taskPlanId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://backend-pied-prod.piedadmin.com.br/api/v2/task-plans/{taskPlanId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://backend-pied-prod.piedadmin.com.br/api/v2/task-plans/{taskPlanId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"id": "507f1f77bcf86cd799439013",
"parentId": "507f1f77bcf86cd799439014",
"parentType": "request",
"status": {
"id": "507f1f77bcf86cd799439012",
"name": "A fazer",
"meta": {}
},
"expireDate": "2026-09-15T18:00:00.000Z",
"priority": 2,
"title": "Retornar contato com cliente",
"description": "Ligar para confirmar proposta enviada",
"responsible": {
"id": "507f1f77bcf86cd799439011",
"name": "João",
"surname": "Silva"
},
"owner": {
"id": "507f1f77bcf86cd799439011",
"name": "João",
"surname": "Silva"
},
"meta": {
"color": "#FF5733"
},
"request": {},
"company": {},
"distributor": {},
"recurrence": {
"enabled": false,
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"repetition": {
"times": 1,
"period": "week"
}
},
"createdAt": "2026-08-24T14:30:00.000Z",
"updatedAt": "2026-08-31T10:00:00.000Z",
"removed": false
}
}Tarefas
Retorna detalhes de uma tarefa
GET
/
task-plans
/
{taskPlanId}
Retorna detalhes de uma tarefa
curl --request GET \
--url https://backend-pied-prod.piedadmin.com.br/api/v2/task-plans/{taskPlanId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://backend-pied-prod.piedadmin.com.br/api/v2/task-plans/{taskPlanId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://backend-pied-prod.piedadmin.com.br/api/v2/task-plans/{taskPlanId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://backend-pied-prod.piedadmin.com.br/api/v2/task-plans/{taskPlanId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://backend-pied-prod.piedadmin.com.br/api/v2/task-plans/{taskPlanId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://backend-pied-prod.piedadmin.com.br/api/v2/task-plans/{taskPlanId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://backend-pied-prod.piedadmin.com.br/api/v2/task-plans/{taskPlanId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"id": "507f1f77bcf86cd799439013",
"parentId": "507f1f77bcf86cd799439014",
"parentType": "request",
"status": {
"id": "507f1f77bcf86cd799439012",
"name": "A fazer",
"meta": {}
},
"expireDate": "2026-09-15T18:00:00.000Z",
"priority": 2,
"title": "Retornar contato com cliente",
"description": "Ligar para confirmar proposta enviada",
"responsible": {
"id": "507f1f77bcf86cd799439011",
"name": "João",
"surname": "Silva"
},
"owner": {
"id": "507f1f77bcf86cd799439011",
"name": "João",
"surname": "Silva"
},
"meta": {
"color": "#FF5733"
},
"request": {},
"company": {},
"distributor": {},
"recurrence": {
"enabled": false,
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"repetition": {
"times": 1,
"period": "week"
}
},
"createdAt": "2026-08-24T14:30:00.000Z",
"updatedAt": "2026-08-31T10:00:00.000Z",
"removed": false
}
}🚀 API v2 (Recomendada) - Este endpoint está disponível apenas na v2